import 'package:flutter/material.dart';
import 'package:get/get.dart';

import '../../app.dart';

class LangSplashController extends GetxController {
  RxBool isTurkmen = true.obs;

  void onLangBtnTapped(isTurkmenSelected) {
    isTurkmen.value = isTurkmenSelected;
    final langCode = isTurkmen.value ? 'tm' : 'ru';

    LocalizationService().changeLocale(langCode);
    setLocale(langCode);
  }

  void onNextBtnTapped() {
    debugPrint('onNextBtnTapped');
    Get.offAndToNamed(AppRoutes.DASHBOARD);
  }
}
